Bug 243919 - security/luasec: update to 0.9
Summary: security/luasec: update to 0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kyle Evans
URL: https://github.com/brunoos/luasec/blo...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-06 02:53 UTC by Thomas Morper
Modified: 2020-02-28 18:57 UTC (History)
2 users (show)

See Also:
thomas: maintainer-feedback-


Attachments
update to 0.9 (2.36 KB, patch)
2020-02-06 02:53 UTC, Thomas Morper
no flags Details | Diff
update to 0.9 (2.50 KB, patch)
2020-02-18 23:51 UTC, Thomas Morper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Morper 2020-02-06 02:53:13 UTC
Created attachment 211403 [details]
update to 0.9

luasec has been updated to 0.9 a few months ago, fixing a number of known bugs.

The attached patch updates the port for the current 0.9 version.

All required settings can be made via MAKE_ENV, so the "post-patch" and "do-install" sections have been removed from the Makefile as they are no longer required.

The link to the homepage was no longer working and has been moved to the Github project page.

The port builds without problems on 11.3 and 12.1, both i386 and amd64.

For a pratical test I've installed an updated package on my prosody server and it's working fine.
Comment 1 Thomas Morper 2020-02-18 23:51:18 UTC
Created attachment 211750 [details]
update to 0.9

security/luasec: update to 0.9

* change DISTVERSIONPREFIX due to GitHub naming
* reorder variable assignment to make portlint more happy
* update MAKE_ENV to no longer depend on post-patch and do-install
* update broken WWW link

Changelog:

  https://github.com/brunoos/luasec/blob/v0.9/CHANGELOG

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11.3 and 12.1, both i386 and amd64)
Comment 2 Kyle Evans freebsd_committer 2020-02-24 21:56:26 UTC
Take; maintainer timeout
Comment 3 Kyle Evans freebsd_committer 2020-02-24 21:59:58 UTC
Differential Revision: https://reviews.freebsd.org/D23823
Comment 4 commit-hook freebsd_committer 2020-02-28 18:57:44 UTC
A commit references this bug:

Author: kevans
Date: Fri Feb 28 18:56:53 UTC 2020
New revision: 527348
URL: https://svnweb.freebsd.org/changeset/ports/527348

Log:
  security/luasec: update to 0.9

  - change DISTVERSIONPREFIX due to GitHub naming
  - reorder variable assignment to make portlint more happy
  - update MAKE_ENV to no longer depend on post-patch and do-install
  - update broken WWW link

  Changelog: https://github.com/brunoos/luasec/blob/v0.9/CHANGELOG

  PR:		243919
  Approved by:	koobs (mentor), bapt (mentor)
  Approved by:	portmgr (maintainer timeout: > 2 weeks)
  Differential Revision:	https://reviews.freebsd.org/D23823

Changes:
  head/security/luasec/Makefile
  head/security/luasec/distinfo
  head/security/luasec/pkg-descr
Comment 5 Kyle Evans freebsd_committer 2020-02-28 18:57:58 UTC
Committed; thanks!